org.eclipse.emf.cdo.ui.widgets

## Class CommitHistoryComposite.Input

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite.Input

- All Implemented Interfaces:
    INotifier, IDeactivateable, ILifecycle
  Enclosing class:
    CommitHistoryComposite

      public static class CommitHistoryComposite.Input
      extends Notifier
      implements ILifecycle

  Encapsulates the input of a `CommitHistoryComposite`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommitHistoryComposite.Input.IllegalInputException`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Input(CDOSession session, CDOBranch branch, CDOObject object)`
    `Input(Object delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activate()`
    `Exception` | `deactivate()`
    `boolean` | `equals(Object obj)`
    `CDOBranch` | `getBranch()`
    `protected Object` | `getLifecycle()`
    `LifecycleState` | `getLifecycleState()`
    `CDOObject` | `getObject()`
    `CDOSession` | `getSession()`
    `int` | `hashCode()`
    `boolean` | `isActive()`
    `boolean` | `isOffline()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### Input

          public Input(Object delegate)
                throws CommitHistoryComposite.Input.IllegalInputException

      Throws:
        `CommitHistoryComposite.Input.IllegalInputException`

    - #### Input

          public Input(CDOSession session,
                       CDOBranch branch,
                       CDOObject object)

  - ### Method Detail

    - #### getSession

          public final CDOSession getSession()

    - #### getBranch

          public final CDOBranch getBranch()

    - #### getObject

          public final CDOObject getObject()

    - #### isOffline

          public final boolean isOffline()

      Since:
        4.4

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### activate

          public void activate()
                        throws LifecycleException

      Specified by:
        `activate` in interface `ILifecycle`
      Throws:
        `LifecycleException`

    - #### deactivate

          public Exception deactivate()

      Specified by:
        `deactivate` in interface `IDeactivateable`
      Specified by:
        `deactivate` in interface `ILifecycle`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Specified by:
        `getLifecycleState` in interface `ILifecycle`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `ILifecycle`

    - #### getLifecycle

          protected final Object getLifecycle()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html